#include<iostream>
#include<cmath>
#include<algorithm>
using namespace std;


int main()
{
	int n;
	cin>>n;
	int a[n];
	int b[n];
	n--;
	for(int i=0;i<n;i++)
	{
		cin>>a[i]>>b[i];
	}
	sort(a,a+n);
	sort(b,b+n);
		int razlika=1000000;
   for(int i=0;i<n;i++)
   {
   	for(int j=i;j<n;j++)
	   {
	   	  if(razlika>abs(a[i]-a[j])&&abs(a[i]-a[j]>=2));
	   	  razlika=abs(a[i]-a[j]);
	   }
   }
	int min=1000000;
	for(int i=0;i<n;i++)
	{
		if(abs(a[i]-razlika)<min)
		{
		    min=abs(a[i]-razlika);	
		}
	}
	cout<<min;
	
	
	return 0;
	
	
	
}